{"openapi":"3.1.0","info":{"title":"MailerSend API","description":"MailerSend is a powerful transactional email system built for developers but designed so non-tech teams can contribute without coding. Everyone can contribute to analyzing and optimizing email engagement with MailerSend's intuitive interface, combined with a powerful sending infrastructure to scale quickly.","version":"1.0.0-oas3.1"},"servers":[{"url":"{protocol}://{host}/v1","description":"MailerSend API Server","variables":{"protocol":{"description":"The protocol for the API request.","default":"https","enum":["https"]},"host":{"description":"The host for the MailerSend API.","default":"api.mailersend.com"}}}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"EmailFrom":{"type":"object","properties":{"email":{"type":"string","format":"email","examples":["info@yourdomain.com"]},"name":{"type":"string","examples":["Company Name"]}},"required":["email"]},"EmailTo":{"type":"object","properties":{"email":{"type":"string","format":"email","examples":["your@client.com"]},"name":{"type":"string","examples":["Client Name"]}},"required":["email"]},"SendEmailRequest":{"type":"object","properties":{"from":{"$ref":"#/components/schemas/EmailFrom"},"to":{"type":"array","items":{"$ref":"#/components/schemas/EmailTo"}},"subject":{"type":"string","examples":["Hello Client"]},"text":{"type":"string","examples":["This is just a friendly hello from your friends."]},"html":{"type":"string","examples":["<h1>Hello, this is the HTML body</h1>"]}},"required":["from","to","subject","text"]},"SendBulkEmailRequest":{"type":"array","items":{"$ref":"#/components/schemas/SendEmailRequest"}},"AddDomainRequest":{"type":"object","properties":{"name":{"type":"string","examples":["domain.com"]}},"required":["name"]},"UpdateDomainSettingsRequest":{"type":"object","properties":{"track_content":{"type":"boolean","examples":[false]}}},"AddSenderIdentityRequest":{"type":"object","properties":{"domain_id":{"type":"string","examples":["{domain_id}"]},"email":{"type":"string","format":"email","examples":["client@email.com"]},"name":{"type":"string","examples":["Client Name"]}},"required":["domain_id","email","name"]},"UpdateSenderIdentityRequest":{"type":"object","properties":{"name":{"type":"string","examples":["New Name"]}}},"AddInboundRouteRequest":{"type":"object","properties":{"domain_id":{"type":"string","examples":["{domain_id}"]},"name":{"type":"string","examples":["Inbound Route #1"]},"domain_enabled":{"type":"boolean","examples":[false]},"inbound_subdomain":{"type":"string","examples":["inbound"]},"inbound_priority":{"type":"integer","examples":[10]},"match_filter":{"type":"object","properties":{"type":{"type":"string","examples":["match_all"]}}},"catch_filter":{"type":"object","properties":{"type":{"type":"string","examples":["catch_all"]}}},"forwards":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","examples":["webhook"]},"value":{"type":"string","format":"uri","examples":["https://yourapp.com/hook"]}}}}},"required":["domain_id","name","forwards"]},"UpdateInboundRouteRequest":{"type":"object","properties":{"name":{"type":"string","examples":["New Route Name"]},"domain_enabled":{"type":"boolean","examples":[false]},"inbound_priority":{"type":"integer","examples":[10]},"match_filter":{"type":"object","properties":{"type":{"type":"string","examples":["match_all"]}}},"catch_filter":{"type":"object","properties":{"type":{"type":"string","examples":["catch_all"]}}},"forwards":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","examples":["webhook"]},"value":{"type":"string","format":"uri","examples":["https://yourapp.com/hook"]}}}}}},"SuppressionListDeleteRequest":{"type":"object","properties":{"all":{"type":"boolean","examples":[true]}}},"AddSuppressionRecipientsRequest":{"type":"object","properties":{"domain_id":{"type":"string","examples":["{domain_id}"]},"recipients":{"type":"array","items":{"type":"string","format":"email","examples":["test@example.com"]}}},"required":["domain_id","recipients"]},"CreateWebhookRequest":{"type":"object","properties":{"domain_id":{"type":"string","examples":["domain_id"]},"name":{"type":"string","examples":["Name"]},"events":{"type":"array","items":{"type":"string","enum":["activity.sent","activity.delivered"]}},"url":{"type":"string","format":"uri","examples":["https://mailersend.com/webhook"]}},"required":["domain_id","name","events","url"]},"UpdateWebhookRequest":{"type":"object","properties":{"enabled":{"type":"boolean","examples":[false]}}},"VerifyEmailRequest":{"type":"object","properties":{"email":{"type":"string","format":"email","examples":["info@mailersend.com"]}},"required":["email"]},"CreateEmailVerificationListRequest":{"type":"object","properties":{"name":{"type":"string","examples":["List"]},"emails":{"type":"array","items":{"type":"string","format":"email","examples":["example@mail.com"]}}},"required":["name","emails"]},"CreateTokenRequest":{"type":"object","properties":{"name":{"type":"string","examples":["API Token"]},"domain_id":{"type":"string","examples":["{domain_id}"]},"scopes":{"type":"array","items":{"type":"string","enum":["email_full","analytics_read"]}}},"required":["name","domain_id","scopes"]},"UpdateTokenRequest":{"type":"object","properties":{"status":{"type":"string","enum":["pause","active"],"examples":["pause"]}},"required":["status"]},"AddUserRequest":{"type":"object","properties":{"email":{"type":"string","format":"email","examples":["admin@example.com"]},"role":{"type":"string","examples":["Admin"]}},"required":["email","role"]},"UpdateUserRequest":{"type":"object","properties":{"role":{"type":"string","examples":["Admin"]}},"required":["role"]},"SendSmsRequest":{"type":"object","properties":{"from":{"type":"string","examples":["+19191234567"]},"to":{"type":"array","items":{"type":"string","examples":["+19191234567"]}},"text":{"type":"string","examples":["Hey {{name}}! This is just a friendly hello :D"]},"personalization":{"type":"array","items":{"type":"object","properties":{"phone_number":{"type":"string","examples":["+19191234567"]},"data":{"type":"object","properties":{"name":{"type":"string","examples":["Dummy"]}}}}}}},"required":["from","to","text"]},"UpdateSmsPhoneNumberRequest":{"type":"object","properties":{"paused":{"type":"boolean","examples":[true]}},"required":["paused"]},"UpdateSmsRecipientRequest":{"type":"object","properties":{"status":{"type":"string","enum":["opt_out","active"],"examples":["opt_out"]}},"required":["status"]},"CreateSmsWebhookRequest":{"type":"object","properties":{"sms_number_id":{"type":"string","examples":["{sms_number_id}"]},"name":{"type":"string","examples":["Name"]},"events":{"type":"array","items":{"type":"string","enum":["sms.sent","sms.delivered","sms.failed"]}},"url":{"type":"string","format":"uri","examples":["https://mailersend.com/sms_webhook"]}},"required":["sms_number_id","name","events","url"]},"UpdateSmsWebhookRequest":{"type":"object","properties":{"enabled":{"type":"boolean","examples":[false]}},"required":["enabled"]},"AddSmsInboundRouteRequest":{"type":"object","properties":{"sms_number_id":{"type":"string","examples":["{sms_number_id}"]},"name":{"type":"string","examples":["Inbound"]},"forward_url":{"type":"string","format":"uri","examples":["https://yourapp.com/hook"]},"filter":{"type":"object","properties":{"comparer":{"type":"string","examples":["equal"]},"value":{"type":"string","examples":["START"]}}},"enabled":{"type":"boolean","examples":[true]}},"required":["sms_number_id","name","forward_url","filter","enabled"]},"UpdateSmsInboundRouteRequest":{"type":"object","properties":{"sms_number_id":{"type":"string","examples":["{sms_number_id}"]},"name":{"type":"string","examples":["Inbound"]},"forward_url":{"type":"string","format":"uri","examples":["https://yourapp.com/hook"]},"filter":{"type":"object","properties":{"comparer":{"type":"string","examples":["equal"]},"value":{"type":"string","examples":["START"]}}},"enabled":{"type":"boolean","examples":[true]}},"required":["sms_number_id","name","forward_url","filter","enabled"]},"UpdateSmtpUserRequest":{"type":"object","properties":{"name":{"type":"string","examples":["New Name"]},"enabled":{"type":"boolean","examples":[false]}},"required":["name","enabled"]}}},"paths":{"/email":{"post":{"tags":["Email"],"summary":"Send an email","operationId":"sendAnEmail","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendEmailRequest"}}}},"responses":{"200":{"description":"Email sent successfully"}}}},"/bulk-email":{"post":{"tags":["Email"],"summary":"Send bulk emails","operationId":"sendBulkEmails","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendBulkEmailRequest"}}}},"responses":{"200":{"description":"Bulk emails sent successfully"}}}},"/bulk-email/{bulk_email_id}":{"get":{"tags":["Email"],"summary":"Get bulk email status","operationId":"getBulkEmailStatus","parameters":[{"in":"path","name":"bulk_email_id","required":true,"schema":{"type":"string"},"description":"ID of the bulk email"}],"responses":{"200":{"description":"Bulk email status retrieved successfully"}}}},"/activity/{domain_id}":{"get":{"tags":["Activity"],"summary":"Get a list of activities for a domain","operationId":"getListOfActivities","parameters":[{"in":"path","name":"domain_id","required":true,"description":"ID of the domain.","schema":{"type":"string"}},{"in":"query","name":"date_from","required":true,"description":"Used to filter activity from a specific date. Timestamp is assumed to be UTC.","schema":{"type":"integer","format":"unix-timestamp"}},{"in":"query","name":"date_to","required":true,"description":"Used to filter activity up to a specific date. Timestamp is assumed to be UTC.","schema":{"type":"integer","format":"unix-timestamp"}}],"responses":{"200":{"description":"List of activities retrieved successfully"}}}},"/activities/{activity_id}":{"get":{"tags":["Activity"],"summary":"Get single activity","operationId":"getSingleActivity","parameters":[{"in":"path","name":"activity_id","required":true,"schema":{"type":"string"},"description":"ID of the activity"}],"responses":{"200":{"description":"Single activity retrieved successfully"}}}},"/analytics/date":{"get":{"tags":["Analytics"],"summary":"Activity data by date","operationId":"getActivityDataByDate","parameters":[{"in":"query","name":"date_from","required":true,"schema":{"type":"integer","format":"unix-timestamp"},"description":"Unix Timestamp"},{"in":"query","name":"date_to","required":true,"schema":{"type":"integer","format":"unix-timestamp"},"description":"Unix Timestamp"},{"in":"query","name":"events","required":true,"schema":{"type":"array","items":{"type":"string"}},"description":"Array of events"}],"responses":{"200":{"description":"Activity data by date retrieved successfully"}}}},"/analytics/country":{"get":{"tags":["Analytics"],"summary":"Opens by country","operationId":"getOpensByCountry","parameters":[{"in":"query","name":"date_from","required":true,"schema":{"type":"integer","format":"unix-timestamp"},"description":"Unix Timestamp"},{"in":"query","name":"date_to","required":true,"schema":{"type":"integer","format":"unix-timestamp"},"description":"Unix Timestamp"}],"responses":{"200":{"description":"Opens by country data retrieved successfully"}}}},"/analytics/ua-name":{"get":{"tags":["Analytics"],"summary":"Opens By User-Agent","operationId":"getOpensByUserAgent","parameters":[{"in":"query","name":"date_from","required":true,"schema":{"type":"integer","format":"unix-timestamp"},"description":"Unix Timestamp"},{"in":"query","name":"date_to","required":true,"schema":{"type":"integer","format":"unix-timestamp"},"description":"Unix Timestamp"}],"responses":{"200":{"description":"Opens by User-Agent data retrieved successfully"}}}},"/analytics/ua-type":{"get":{"tags":["Analytics"],"summary":"Opens by reading environment","operationId":"getOpensByReadingEnvironment","parameters":[{"in":"query","name":"date_from","required":true,"schema":{"type":"integer","format":"unix-timestamp"},"description":"Unix Timestamp"},{"in":"query","name":"date_to","required":true,"schema":{"type":"integer","format":"unix-timestamp"},"description":"Unix Timestamp"}],"responses":{"200":{"description":"Opens by reading environment data retrieved successfully"}}}},"/domains":{"get":{"tags":["Domains"],"summary":"Get a list of domains","operationId":"getListOfDomains","responses":{"200":{"description":"List of domains retrieved successfully"}}},"post":{"tags":["Domains"],"summary":"Add a Domain","operationId":"addADomain","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddDomainRequest"}}}},"responses":{"200":{"description":"Domain added successfully"}}}},"/domains/{domain_id}":{"get":{"tags":["Domains"],"summary":"Get a single domain","operationId":"getSingleDomain","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain"}],"responses":{"200":{"description":"Single domain retrieved successfully"}}},"delete":{"tags":["Domains"],"summary":"Delete a domain","operationId":"deleteADomain","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain to delete"}],"responses":{"200":{"description":"Domain deleted successfully"}}}},"/domains/{domain_id}/recipients":{"get":{"tags":["Domains"],"summary":"Get recipients for a domain","operationId":"getRecipientsForADomain","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain"}],"responses":{"200":{"description":"Recipients for the domain retrieved successfully"}}}},"/domains/{domain_id}/settings":{"put":{"tags":["Domains"],"summary":"Update domain settings","operationId":"updateDomainSettings","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDomainSettingsRequest"}}}},"responses":{"200":{"description":"Domain settings updated successfully"}}}},"/domains/{domain_id}/dns-records":{"get":{"tags":["Domains"],"summary":"Get DNS Records","operationId":"getDnsRecords","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain"}],"responses":{"200":{"description":"DNS records retrieved successfully"}}}},"/domains/{domain_id}/verify":{"get":{"tags":["Domains"],"summary":"Get verification status","operationId":"getVerificationStatus","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain"}],"responses":{"200":{"description":"Verification status retrieved successfully"}}}},"/identities":{"get":{"tags":["Sender Identities"],"summary":"Get a list of sender identities","operationId":"getListOfSenderIdentities","responses":{"200":{"description":"List of sender identities retrieved successfully"}}},"post":{"tags":["Sender Identities"],"summary":"Add a sender identity","operationId":"addASenderIdentity","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddSenderIdentityRequest"}}}},"responses":{"200":{"description":"Sender identity added successfully"}}}},"/identities/{identity_id}":{"get":{"tags":["Sender Identities"],"summary":"Get a single sender identity","operationId":"getSingleSenderIdentity","parameters":[{"in":"path","name":"identity_id","required":true,"schema":{"type":"string"},"description":"ID of the sender identity"}],"responses":{"200":{"description":"Single sender identity retrieved successfully"}}},"put":{"tags":["Sender Identities"],"summary":"Update a sender identity","operationId":"updateASenderIdentity","parameters":[{"in":"path","name":"identity_id","required":true,"schema":{"type":"string"},"description":"ID of the sender identity to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSenderIdentityRequest"}}}},"responses":{"200":{"description":"Sender identity updated successfully"}}},"delete":{"tags":["Sender Identities"],"summary":"Delete a sender identity","operationId":"deleteASenderIdentity","parameters":[{"in":"path","name":"identity_id","required":true,"schema":{"type":"string"},"description":"ID of the sender identity to delete"}],"responses":{"200":{"description":"Sender identity deleted successfully"}}}},"/identities/email/{client@email.com}":{"get":{"tags":["Sender Identities"],"summary":"Get a single sender identity by Email","operationId":"getSingleSenderIdentityByEmail","parameters":[{"in":"path","name":"client@email.com","required":true,"schema":{"type":"string","format":"email"},"description":"Email of the sender identity"}],"responses":{"200":{"description":"Single sender identity by email retrieved successfully"}}},"put":{"tags":["Sender Identities"],"summary":"Update a sender identity by Email","operationId":"updateASenderIdentityByEmail","parameters":[{"in":"path","name":"client@email.com","required":true,"schema":{"type":"string","format":"email"},"description":"Email of the sender identity to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSenderIdentityRequest"}}}},"responses":{"200":{"description":"Sender identity by email updated successfully"}}},"delete":{"tags":["Sender Identities"],"summary":"Delete a sender identity by Email","operationId":"deleteASenderIdentityByEmail","parameters":[{"in":"path","name":"client@email.com","required":true,"schema":{"type":"string","format":"email"},"description":"Email of the sender identity to delete"}],"responses":{"200":{"description":"Sender identity by email deleted successfully"}}}},"/inbound":{"get":{"tags":["Inbound Routing"],"summary":"Get a list of inbound routes","operationId":"getListOfInboundRoutes","responses":{"200":{"description":"List of inbound routes retrieved successfully"}}},"post":{"tags":["Inbound Routing"],"summary":"Add an inbound route","operationId":"addAnInboundRoute","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddInboundRouteRequest"}}}},"responses":{"200":{"description":"Inbound route added successfully"}}}},"/inbound/{inbound_id}":{"get":{"tags":["Inbound Routing"],"summary":"Get a single inbound route","operationId":"getSingleInboundRoute","parameters":[{"in":"path","name":"inbound_id","required":true,"schema":{"type":"string"},"description":"ID of the inbound route"}],"responses":{"200":{"description":"Single inbound route retrieved successfully"}}},"put":{"tags":["Inbound Routing"],"summary":"Update an inbound route","operationId":"updateAnInboundRoute","parameters":[{"in":"path","name":"inbound_id","required":true,"schema":{"type":"string"},"description":"ID of the inbound route to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInboundRouteRequest"}}}},"responses":{"200":{"description":"Inbound route updated successfully"}}},"delete":{"tags":["Inbound Routing"],"summary":"Delete an inbound route","operationId":"deleteAnInboundRoute","parameters":[{"in":"path","name":"inbound_id","required":true,"schema":{"type":"string"},"description":"ID of the inbound route to delete"}],"responses":{"200":{"description":"Inbound route deleted successfully"}}}},"/messages":{"get":{"tags":["Messages"],"summary":"Get a list of messages","operationId":"getListOfMessages","responses":{"200":{"description":"List of messages retrieved successfully"}}}},"/messages/{message_id}":{"get":{"tags":["Messages"],"summary":"Get information for a single message","operationId":"getInformationForSingleMessage","parameters":[{"in":"path","name":"message_id","required":true,"schema":{"type":"string"},"description":"ID of the message"}],"responses":{"200":{"description":"Message information retrieved successfully"}}}},"/message-schedules":{"get":{"tags":["Scheduled Messages"],"summary":"Get list of scheduled messages","operationId":"getListOfScheduledMessages","responses":{"200":{"description":"List of scheduled messages retrieved successfully"}}}},"/message-schedules/{message_id}":{"get":{"tags":["Scheduled Messages"],"summary":"Get a single scheduled message","operationId":"getSingleScheduledMessage","parameters":[{"in":"path","name":"message_id","required":true,"schema":{"type":"string"},"description":"ID of the scheduled message"}],"responses":{"200":{"description":"Single scheduled message retrieved successfully"}}},"delete":{"tags":["Scheduled Messages"],"summary":"Delete a scheduled message","operationId":"deleteScheduledMessage","parameters":[{"in":"path","name":"message_id","required":true,"schema":{"type":"string"},"description":"ID of the scheduled message to delete"}],"responses":{"200":{"description":"Scheduled message deleted successfully"}}}},"/suppressions/blocklist":{"get":{"tags":["Suppressions"],"summary":"Get recipients from the blocklist suppression list","operationId":"getBlocklistRecipients","responses":{"200":{"description":"Blocklist recipients retrieved successfully"}}},"post":{"tags":["Suppressions"],"summary":"Add recipients to the blocklist suppression list","operationId":"addBlocklistRecipients","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddSuppressionRecipientsRequest"}}}},"responses":{"200":{"description":"Recipients added to blocklist successfully"}}},"delete":{"tags":["Suppressions"],"summary":"Delete recipients from the blocklist suppression list","operationId":"deleteBlocklistRecipients","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuppressionListDeleteRequest"}}}},"responses":{"200":{"description":"Recipients deleted from blocklist successfully"}}}},"/suppressions/hard-bounces":{"get":{"tags":["Suppressions"],"summary":"Get recipients from the hard bounces suppression list","operationId":"getHardBouncesRecipients","responses":{"200":{"description":"Hard bounces recipients retrieved successfully"}}},"post":{"tags":["Suppressions"],"summary":"Add recipients to the hard bounces suppression list","operationId":"addHardBouncesRecipients","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddSuppressionRecipientsRequest"}}}},"responses":{"200":{"description":"Recipients added to hard bounces successfully"}}},"delete":{"tags":["Suppressions"],"summary":"Delete recipients from the hard bounces suppression list","operationId":"deleteHardBouncesRecipients","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuppressionListDeleteRequest"}}}},"responses":{"200":{"description":"Recipients deleted from hard bounces successfully"}}}},"/suppressions/spam-complaints":{"get":{"tags":["Suppressions"],"summary":"Get recipients from the spam complaints suppression list","operationId":"getSpamComplaintsRecipients","responses":{"200":{"description":"Spam complaints recipients retrieved successfully"}}},"post":{"tags":["Suppressions"],"summary":"Add recipients to the spam complaints suppression list","operationId":"addSpamComplaintsRecipients","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddSuppressionRecipientsRequest"}}}},"responses":{"200":{"description":"Recipients added to spam complaints successfully"}}},"delete":{"tags":["Suppressions"],"summary":"Delete recipients from the spam complaints suppression list","operationId":"deleteSpamComplaintsRecipients","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuppressionListDeleteRequest"}}}},"responses":{"200":{"description":"Recipients deleted from spam complaints successfully"}}}},"/suppressions/unsubscribes":{"get":{"tags":["Suppressions"],"summary":"Get recipients from the unsubscribes suppression list","operationId":"getUnsubscribesRecipients","responses":{"200":{"description":"Unsubscribes recipients retrieved successfully"}}},"post":{"tags":["Suppressions"],"summary":"Add recipients to the unsubscribes suppression list","operationId":"addUnsubscribesRecipients","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddSuppressionRecipientsRequest"}}}},"responses":{"200":{"description":"Recipients added to unsubscribes successfully"}}},"delete":{"tags":["Suppressions"],"summary":"Delete recipients from the unsubscribes suppression list","operationId":"deleteUnsubscribesRecipients","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuppressionListDeleteRequest"}}}},"responses":{"200":{"description":"Recipients deleted from unsubscribes successfully"}}}},"/recipients":{"get":{"tags":["Recipients"],"summary":"Get recipients","operationId":"getRecipients","responses":{"200":{"description":"Recipients retrieved successfully"}}}},"/recipients/{recipient_id}":{"get":{"tags":["Recipients"],"summary":"Get a single recipient","operationId":"getSingleRecipient","parameters":[{"in":"path","name":"recipient_id","required":true,"schema":{"type":"string"},"description":"ID of the recipient"}],"responses":{"200":{"description":"Single recipient retrieved successfully"}}},"delete":{"tags":["Recipients"],"summary":"Delete a recipient","operationId":"deleteARecipient","parameters":[{"in":"path","name":"recipient_id","required":true,"schema":{"type":"string"},"description":"ID of the recipient to delete"}],"responses":{"200":{"description":"Recipient deleted successfully"}}}},"/templates":{"get":{"tags":["Templates"],"summary":"Get templates","operationId":"getTemplates","responses":{"200":{"description":"Templates retrieved successfully"}}}},"/webhooks":{"get":{"tags":["Webhooks"],"summary":"Get a list of webhooks","operationId":"getListOfWebhooks","parameters":[{"in":"query","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain"}],"responses":{"200":{"description":"List of webhooks retrieved successfully"}}},"post":{"tags":["Webhooks"],"summary":"Create a webhook","operationId":"createAWebhook","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWebhookRequest"}}}},"responses":{"200":{"description":"Webhook created successfully"}}}},"/webhooks/{webhook_id}":{"get":{"tags":["Webhooks"],"summary":"Get a webhook","operationId":"getAWebhook","parameters":[{"in":"path","name":"webhook_id","required":true,"schema":{"type":"string"},"description":"ID of the webhook"}],"responses":{"200":{"description":"Webhook retrieved successfully"}}},"put":{"tags":["Webhooks"],"summary":"Update a webhook","operationId":"updateAWebhook","parameters":[{"in":"path","name":"webhook_id","required":true,"schema":{"type":"string"},"description":"ID of the webhook to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWebhookRequest"}}}},"responses":{"200":{"description":"Webhook updated successfully"}}},"delete":{"tags":["Webhooks"],"summary":"Delete a webhook","operationId":"deleteAWebhook","parameters":[{"in":"path","name":"webhook_id","required":true,"schema":{"type":"string"},"description":"ID of the webhook to delete"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWebhookRequest"}}}},"responses":{"200":{"description":"Webhook deleted successfully"}}}},"/email-verification/verify":{"post":{"tags":["Email Verification"],"summary":"Verify an email","operationId":"verifyAnEmail","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyEmailRequest"}}}},"responses":{"200":{"description":"Email verified successfully"}}}},"/email-verification":{"get":{"tags":["Email Verification"],"summary":"Get all lists","operationId":"getAllEmailVerificationLists","responses":{"200":{"description":"All email verification lists retrieved successfully"}}},"post":{"tags":["Email Verification"],"summary":"Create a list","operationId":"createAnEmailVerificationList","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateEmailVerificationListRequest"}}}},"responses":{"200":{"description":"Email verification list created successfully"}}}},"/email-verification/{email_verification_id}":{"get":{"tags":["Email Verification"],"summary":"Get a single list","operationId":"getSingleEmailVerificationList","parameters":[{"in":"path","name":"email_verification_id","required":true,"schema":{"type":"string"},"description":"ID of the email verification list"}],"responses":{"200":{"description":"Single email verification list retrieved successfully"}}}},"/email-verification/{email_verification_id}/verify":{"get":{"tags":["Email Verification"],"summary":"Verify a list","operationId":"verifyAnEmailVerificationList","parameters":[{"in":"path","name":"email_verification_id","required":true,"schema":{"type":"string"},"description":"ID of the email verification list to verify"}],"responses":{"200":{"description":"Email verification list verified successfully"}}}},"/email-verification/{email_verification_id}/results":{"get":{"tags":["Email Verification"],"summary":"Get list results","operationId":"getEmailVerificationListResults","parameters":[{"in":"path","name":"email_verification_id","required":true,"schema":{"type":"string"},"description":"ID of the email verification list"}],"responses":{"200":{"description":"Email verification list results retrieved successfully"}}}},"/token":{"post":{"tags":["Tokens"],"summary":"Create a token","operationId":"createAToken","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTokenRequest"}}}},"responses":{"200":{"description":"Token created successfully"}}}},"/token/{token_id}/settings":{"put":{"tags":["Tokens"],"summary":"Update a Token","operationId":"updateATokenSettings","parameters":[{"in":"path","name":"token_id","required":true,"schema":{"type":"string"},"description":"ID of the token to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTokenRequest"}}}},"responses":{"200":{"description":"Token settings updated successfully"}}}},"/token/{token_id}":{"delete":{"tags":["Tokens"],"summary":"Delete a token","operationId":"deleteAToken","parameters":[{"in":"path","name":"token_id","required":true,"schema":{"type":"string"},"description":"ID of the token to delete"}],"responses":{"200":{"description":"Token deleted successfully"}}}},"/api-quota":{"get":{"tags":["API"],"summary":"Get API quota","operationId":"getApiQuota","responses":{"200":{"description":"API quota retrieved successfully"}}}},"/users":{"get":{"tags":["Users"],"summary":"Get all users","operationId":"getAllUsers","responses":{"200":{"description":"All users retrieved successfully"}}},"post":{"tags":["Users"],"summary":"Add an user","operationId":"addAnUser","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddUserRequest"}}}},"responses":{"200":{"description":"User added successfully"}}}},"/users/{user_id}":{"get":{"tags":["Users"],"summary":"Get one user","operationId":"getOneUser","parameters":[{"in":"path","name":"user_id","required":true,"schema":{"type":"string"},"description":"ID of the user"}],"responses":{"200":{"description":"Single user retrieved successfully"}}},"put":{"tags":["Users"],"summary":"Update User","operationId":"updateUser","parameters":[{"in":"path","name":"user_id","required":true,"schema":{"type":"string"},"description":"ID of the user to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRequest"}}}},"responses":{"200":{"description":"User updated successfully"}}},"delete":{"tags":["Users"],"summary":"Delete a user","operationId":"deleteAUser","parameters":[{"in":"path","name":"user_id","required":true,"schema":{"type":"string"},"description":"ID of the user to delete"}],"responses":{"200":{"description":"User deleted successfully"}}}},"/sms":{"post":{"tags":["SMS"],"summary":"Send an SMS","operationId":"sendAnSms","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendSmsRequest"}}}},"responses":{"200":{"description":"SMS sent successfully"}}}},"/sms-numbers":{"get":{"tags":["SMS Phone Numbers"],"summary":"Get a list of SMS phone numbers","operationId":"getListOfSmsPhoneNumbers","responses":{"200":{"description":"List of SMS phone numbers retrieved successfully"}}}},"/sms-numbers/{sms_number_id}":{"get":{"tags":["SMS Phone Numbers"],"summary":"Get an SMS phone number","operationId":"getAnSmsPhoneNumber","parameters":[{"in":"path","name":"sms_number_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS phone number"}],"responses":{"200":{"description":"Single SMS phone number retrieved successfully"}}},"put":{"tags":["SMS Phone Numbers"],"summary":"Update a single SMS phone number","operationId":"updateSingleSmsPhoneNumber","parameters":[{"in":"path","name":"sms_number_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS phone number to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSmsPhoneNumberRequest"}}}},"responses":{"200":{"description":"SMS phone number updated successfully"}}},"delete":{"tags":["SMS Phone Numbers"],"summary":"Delete an SMS phone number","operationId":"deleteAnSmsPhoneNumber","parameters":[{"in":"path","name":"sms_number_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS phone number to delete"}],"responses":{"200":{"description":"SMS phone number deleted successfully"}}}},"/sms-messages":{"get":{"tags":["SMS Messages"],"summary":"Get a list of SMS messages","operationId":"getListOfSmsMessages","responses":{"200":{"description":"List of SMS messages retrieved successfully"}}}},"/sms-messages/{sms_message_id}":{"get":{"tags":["SMS Messages"],"summary":"Get an SMS message","operationId":"getAnSmsMessage","parameters":[{"in":"path","name":"sms_message_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS message"}],"responses":{"200":{"description":"Single SMS message retrieved successfully"}}}},"/sms-activity":{"get":{"tags":["SMS Activity"],"summary":"Get a list of SMS activities","operationId":"getListOfSmsActivities","responses":{"200":{"description":"List of SMS activities retrieved successfully"}}}},"/sms-activity/{sms_message_id}":{"get":{"tags":["SMS Activity"],"summary":"Get activity of a single SMS message","operationId":"getActivityOfSingleSmsMessage","parameters":[{"in":"path","name":"sms_message_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS message"}],"responses":{"200":{"description":"SMS message activity retrieved successfully"}}}},"/sms-recipients":{"get":{"tags":["SMS Recipients"],"summary":"Get a list of SMS recipients","operationId":"getListOfSmsRecipients","description":"Get information about SMS recipients.","responses":{"200":{"description":"List of SMS recipients retrieved successfully"}}}},"/sms-recipients/{sms_recipient_id}":{"get":{"tags":["SMS Recipients"],"summary":"Get an SMS recipient","operationId":"getAnSmsRecipient","parameters":[{"in":"path","name":"sms_recipient_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS recipient"}],"responses":{"200":{"description":"Single SMS recipient retrieved successfully"}}},"put":{"tags":["SMS Recipients"],"summary":"Update a single SMS recipient","operationId":"updateSingleSmsRecipient","parameters":[{"in":"path","name":"sms_recipient_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS recipient to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSmsRecipientRequest"}}}},"responses":{"200":{"description":"SMS recipient updated successfully"}}}},"/sms-webhooks":{"get":{"tags":["SMS Webhooks"],"summary":"Get a list of SMS webhooks","operationId":"getListOfSmsWebhooks","parameters":[{"in":"query","name":"sms_number_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS phone number"}],"responses":{"200":{"description":"List of SMS webhooks retrieved successfully"}}},"post":{"tags":["SMS Webhooks"],"summary":"Create an SMS webhook","operationId":"createAnSmsWebhook","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSmsWebhookRequest"}}}},"responses":{"200":{"description":"SMS webhook created successfully"}}}},"/sms-webhooks/{sms_webhook_id}":{"get":{"tags":["SMS Webhooks"],"summary":"Get a single SMS webhook","operationId":"getSingleSmsWebhook","parameters":[{"in":"path","name":"sms_webhook_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS webhook"}],"responses":{"200":{"description":"Single SMS webhook retrieved successfully"}}},"put":{"tags":["SMS Webhooks"],"summary":"Update a single SMS webhook","operationId":"updateSingleSmsWebhook","parameters":[{"in":"path","name":"sms_webhook_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS webhook to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSmsWebhookRequest"}}}},"responses":{"200":{"description":"SMS webhook updated successfully"}}},"delete":{"tags":["SMS Webhooks"],"summary":"Delete an SMS webhook","operationId":"deleteAnSmsWebhook","parameters":[{"in":"path","name":"sms_webhook_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS webhook to delete"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSmsWebhookRequest"}}}},"responses":{"200":{"description":"SMS webhook deleted successfully"}}}},"/sms-inbounds":{"get":{"tags":["SMS Inbound Routing"],"summary":"Get a list of SMS inbound routes","operationId":"getListOfSmsInboundRoutes","responses":{"200":{"description":"List of SMS inbound routes retrieved successfully"}}},"post":{"tags":["SMS Inbound Routing"],"summary":"Add an SMS inbound route","operationId":"addAnSmsInboundRoute","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddSmsInboundRouteRequest"}}}},"responses":{"200":{"description":"SMS inbound route added successfully"}}}},"/sms-inbounds/{sms_inbound_id}":{"get":{"tags":["SMS Inbound Routing"],"summary":"Get a single SMS inbound route","operationId":"getSingleSmsInboundRoute","parameters":[{"in":"path","name":"sms_inbound_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS inbound route"}],"responses":{"200":{"description":"Single SMS inbound route retrieved successfully"}}},"put":{"tags":["SMS Inbound Routing"],"summary":"Update an inbound route","operationId":"updateSmsInboundRoute","parameters":[{"in":"path","name":"sms_inbound_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS inbound route to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSmsInboundRouteRequest"}}}},"responses":{"200":{"description":"SMS inbound route updated successfully"}}},"delete":{"tags":["SMS Inbound Routing"],"summary":"Delete an SMS inbound route","operationId":"deleteAnSmsInboundRoute","parameters":[{"in":"path","name":"sms_inbound_id","required":true,"schema":{"type":"string"},"description":"ID of the SMS inbound route to delete"}],"responses":{"200":{"description":"SMS inbound route deleted successfully"}}}},"/domains/{domain_id}/smtp-users":{"get":{"tags":["SMTP Users"],"summary":"Get a list of SMTP users","operationId":"getListOfSmtpUsers","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain"}],"responses":{"200":{"description":"List of SMTP users retrieved successfully"}}}},"/domains/{domain_id}/smtp-users/{smtp_user_id}":{"get":{"tags":["SMTP Users"],"summary":"Get a single SMTP user","operationId":"getSingleSmtpUser","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain"},{"in":"path","name":"smtp_user_id","required":true,"schema":{"type":"string"},"description":"ID of the SMTP user"}],"responses":{"200":{"description":"Single SMTP user retrieved successfully"}}},"put":{"tags":["SMTP Users"],"summary":"Update SMTP user","operationId":"updateSmtpUser","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain"},{"in":"path","name":"smtp_user_id","required":true,"schema":{"type":"string"},"description":"ID of the SMTP user to update"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSmtpUserRequest"}}}},"responses":{"200":{"description":"SMTP user updated successfully"}}},"delete":{"tags":["SMTP Users"],"summary":"Delete SMTP user","operationId":"deleteSmtpUser","parameters":[{"in":"path","name":"domain_id","required":true,"schema":{"type":"string"},"description":"ID of the domain"},{"in":"path","name":"smtp_user_id","required":true,"schema":{"type":"string"},"description":"ID of the SMTP user to delete"}],"responses":{"200":{"description":"SMTP user deleted successfully"}}}}}}